bm::aggregator< BV >::pipeline_bcache Struct Reference

Block cache for pipeline execution. More...

`#include <bmaggregator.h>`

## Data Fields

bv_vector_type | bv_inp_vect_
| all input vectors from all groups
count_vector_type | cnt_vect_
| usage count for bv_inp (all groups)
blockptr_vector_type | blk_vect_
| cached block ptrs for bv_inp_vect_
block_ij_vector_type | blk_ij_vect_
| current block coords

## Detailed Description

template<typename BV>
struct bm::aggregator< BV >::pipeline_bcache

Block cache for pipeline execution.

Definition at line 197 of file bmaggregator.h.

## Field Documentation

## blk_ij_vect_

template<typename BV>

block_ij_vector_type bm::aggregator< BV >::pipeline_bcache::blk_ij_vect_

current block coords

Definition at line 202 of file bmaggregator.h.

## blk_vect_

template<typename BV>

blockptr_vector_type bm::aggregator< BV >::pipeline_bcache::blk_vect_

cached block ptrs for bv_inp_vect_

Definition at line 201 of file bmaggregator.h.

## bv_inp_vect_

template<typename BV>

bv_vector_type bm::aggregator< BV >::pipeline_bcache::bv_inp_vect_

all input vectors from all groups

Definition at line 199 of file bmaggregator.h.

## cnt_vect_

template<typename BV>

count_vector_type bm::aggregator< BV >::pipeline_bcache::cnt_vect_

usage count for bv_inp (all groups)

Definition at line 200 of file bmaggregator.h.

The documentation for this struct was generated from the following file:

- bmaggregator.h